On this page
Enterprise identity verification vendor
What is an IDV vendor
IDV vendors work like IdPs, with some key differences. Vendors verify your user’s identities by requiring them to submit a proof of identity. The proof of identity matches a user’s digital identity against a trusted data source. For example, a user’s first name and family name can be matched against a picture of their driver’s license or passport. The vendor verifies the user submission against a data source and that evaluation is sent back to Okta.
IdPs authenticate users by verifying their digital credentials. The IdPs also maintain the digital credentials.
Because of its stricter verification, you might only use an IDV vendor for sensitive operations. For example, use an IDV flow when a user enrolls a new authenticator or resets their password.
Create an app at the IDV vendor
At Persona
Configure an IDV template
Create your
Persona
Configure the client ID, client secret, and redirect URI of the Persona
app
Persona
Note: An API key is no longer required for the
integration. Instead, generate a client ID and client secret in yourPersona
app and use them to authenticate the request to Okta.Persona
Set your org URL as the redirect URI in your
Persona
/idp/identity-verification/callback. The redirect URI is the location where Persona
- For example, if your Okta subdomain is called
company, then the URL would be:https://company.okta.com/idp/identity-verification/callback. If you’ve configured a custom domain in your Okta org, use that value to construct your redirect URI, such ashttps://login.company.com/idp/identity-verification/callback. - Include all base domains (Okta domain and custom domain) that your users interact with in the allowed redirect URI list.
Note: If you're migrating from the existing Persona IDV integration, see Migrating to the new Persona IDV integration (opens new window).
Other IDV vendor configuration
There are more settings for the
Persona
Persona
See the Persona
Create the IDV vendor in Okta
Use the IdP API (opens new window) to add Persona as an IDV vendor in Okta. Create your own POST request body or copy the example request and input your values.
Note: To add Persona using the Admin Console, see Add an Identity Verification vendor as Identity Provider (opens new window).
Set the following request body parameters:
- Enter a value for
name. - Set
ID_PROOFINGas the protocol type. - Set
typetoIDV_INTEGRATOR-7184229_PERSONAIDV_1. - Use the client ID and client secret from your previous section as the
client_idandclient_secretvalues. - Set the
scopesarray to include theprofile,identity_assurance, andopenidscopes.profile: This scope allows the IDV vendor to request access to basic user profile information from Okta.identity_assurance: This scope requests access to theverified_claimsobject so that the IDV vendor can send and receive information about the level of assurance of the IDV flow.openid: This scope is required to make the request an OpenID Connect (OIDC) request.
- Enter a value for
Send the
POST /api/v1/idpsrequest.After you create the IDV vendor, copy the value of
idfrom the response body and paste it into a text editor. Use it in the next section.
Example request
{
"type": "IDV_INTEGRATOR-7184229_PERSONAIDV_1",
"name": "Persona IDV",
"protocol": {
"type": "ID_PROOFING",
"scopes": [
"profile",
"identity_assurance",
"openid"
],
"credentials": {
"client": {
"client_id": "{PersonaClientId}",
"client_secret": "{PersonaClientSecret}"
}
}
},
"policy": {
"provisioning": {
"action": "DISABLED",
"profileMaster": false,
"groups": null
},
"accountLink": {
"filter": null,
"action": "AUTO"
},
"subject": {
"userNameTemplate": {
"template": "source.userName"
},
"filter": null,
"matchType": "USERNAME",
"matchAttribute": null
},
"maxClockSkew": 0
}
}
Example response
{
"id": "{IDVId}",
"name": "Persona IDV",
"status": "ACTIVE",
"created": "2024-11-15T15:22:17.000Z",
"lastUpdated": "2024-11-15T15:22:17.000Z",
"protocol": {
"type": "ID_PROOFING",
"scopes": [
"profile",
"identity_assurance",
"openid"
],
"endpoints": {
"par": {
"url": "https://authenticate.withpersona.com/authenticate/oidc/par",
"binding": "HTTP-POST"
},
"authorization": {
"url": "https://authenticate.withpersona.com/authenticate/oidc/authorize",
"binding": "HTTP-REDIRECT"
},
"token": {
"url": "https://authenticate.withpersona.com/authenticate/oidc/token",
"binding": "HTTP-POST"
},
"jwks": {
"url": "https://authenticate.withpersona.com/authenticate/oidc/jwks",
"binding": "HTTP-REDIRECT"
}
},
"issuer": {
"url": "https://authenticate.withpersona.com/authenticate/oidc"
},
"credentials": {
"client": {
"client_id": "{PersonaClientId}",
"client_secret": "{PersonaClientSecret}"
}
}
},
"policy": {
"provisioning": {
"action": "DISABLED",
"profileMaster": false,
"groups": null
},
"subject": {
"userNameTemplate": {
"template": "source.userName"
},
"filter": null,
"matchType": "USERNAME",
"matchAttribute": null
},
"maxClockSkew": 0
},
"properties": {
"idvMetadata": {
"vendorDisplayName": "Persona IDV",
"termsOfUse": "https://withpersona.com/legal/terms-of-service",
"privacyPolicy": "https://withpersona.com/legal/privacy-policy",
"configUrl": "https://help.withpersona.com/articles/x7vPGY4te68wp1T0Ce5eFi/"
}
},
"type": "IDV_INTEGRATOR-7184229_PERSONAIDV_1",
"_links": {
"users": {
"href": "https://{yourOktadomain}/api/v1/idps/0oal68on4q8cch2y55d7/users",
"hints": {
"allow": [
"GET"
]
}
},
"deactivate": {
"href": "https://{yourOktadomain}/api/v1/idps/0oal68on4q8cch2y55d7/lifecycle/deactivate",
"hints": {
"allow": [
"POST"
]
}
}
}
}
Map profile attributes from Okta to your IDV vendor
After you've created the IDV vendor in Okta, you can map other profile attributes from your user directory to attributes in your IDV vendor. Okta sends the givenName and familyName attributes by default. You can map other attributes as needed. See Map profile attributes from Okta to an identity verification vendor (opens new window).
Create an Okta account management policy rule
Use the Policies API (opens new window) to create a rule that requires
Persona
POST request body or copy the example request and input your values. Ensure that you’ve created a user account and group for that user. For example, add the user to a group called "Persona IDV test group".
Note: To add a rule using the Admin Console, see Edit the Okta account management policy (opens new window).
Retrieve the Okta account management policy ID. Use the Okta account management policy
idas thepolicyIdvalue in yourPOSTrequest to create the IDV rule.Set the following request body parameters for the new IDV rule that you want to create:
- Provide a
namevalue. - Use the Okta account management policy
idas thepolicyIdvalue. - Set the group ID. Use the List all groups call (opens new window) to find the
idfor the test group. - Set the
verificationMethodtype toID_PROOFING. - Set the
verificationMethod.idto the Okta Persona IdP that you created in the previous section. - Set
appSignOnaccess value toALLOW. - Use the following Okta Expression Language object:
"elCondition": { "condition": "accessRequest.operation == 'enroll'" }This expression requires users to verify their identity with the IDV vendor when they enroll a new authenticator.
- Provide a
Send the
POST /api/v1/policies/{policyId}/rulesrequest.
Okta account management policy rule example request
{
"name": "Require IDV for authenticator enrollment",
"priority": 1,
"type": "ACCESS_POLICY",
"system": false,
"conditions": {
"people": {
"groups": {
"include":
["{groupId}"]
}
},
"network": {
"connection": "ANYWHERE"
},
"riskScore": {
"level": "ANY"
},
"elCondition": {
"condition": "accessRequest.operation == 'enroll'"
},
"userType": {
"include": [],
"exclude": []
}
},
"actions": {
"appSignOn": {
"access": "ALLOW",
"verificationMethod": {
"id": "{IDVId}",
"type": "ID_PROOFING"
}
}
}
}
Example response
{
"id": "ruleId",
"status": "ACTIVE",
"name": "Require IDV for authenticator enrollment",
"priority": 1,
"created": "2024-11-14T21:16:55.000Z",
"lastUpdated": "2024-11-14T21:16:55.000Z",
"system": false,
"conditions": {
"people": {
"users": {
"exclude": []
},
"groups": {
"include": [
{"groupId"}
]
}
},
"network": {
"connection": "ANYWHERE"
},
"riskScore": {
"level": "ANY"
},
"elCondition": {
"condition": "accessRequest.operation == 'enroll'"
},
"userType": {
"include": [],
"exclude": []
}
},
"actions": {
"appSignOn": {
"access": "ALLOW",
"verificationMethod": {
"id": {"IDVId"},
"type": "ID_PROOFING"
}
}
},
"_links": {
"self": {
"href": "https://{yourOktadomain}/api/v1/policies/rstjqw4t47yn9lXUK5d7/rules/rull5mrtqkAVfIyWT5d7",
"hints": {
"allow": [
"GET",
"PUT",
"DELETE"
]
}
},
"deactivate": {
"href": "https://{yourOktadomain}/api/v1/policies/rstjqw4t47yn9lXUK5d7/rules/rull5mrtqkAVfIyWT5d7/lifecycle/deactivate",
"hints": {
"allow": [
"POST"
]
}
}
},
"type": "ACCESS_POLICY"
}
Test the integration
You can test your integration by using the rule that you configured in the previous section.
- Sign in to your org as the user that you created.
- Click your username.
- Go to My Settings.
- Select Security Methods, and then set up a new authenticator.
If the IDV vendor is set up correctly, you’re prompted to verify your identity and redirected through the
Persona
Note: Review the System Log (opens new window) if you encounter errors when testing the IDV flow. See Identity verification events for information about IDV events in the System Log.
Alternate use cases
You can use your IDV vendor to verify your user identities in different scenarios. Use the following Okta Expression Language expressions for different scenarios.
Note: You can use the Okta account management policy rule without any expression. If you don't use any expression in the rule then your user is prompted to verify their identity when at least one of the following events occurs:
They enroll or unenroll authenticators.
They edit their personal information in their Settings.
They reset their password in Settings or in the Sign-in widget.
They unlock their account.
Verify user identity only when they enroll an authenticator
accessRequest.operation == 'enroll'
Verify user identity only when they reset their password
accessRequest.authenticator.key == 'okta_password' && accessRequest.operation == 'recover'
Verify user identity only when they enroll phishing-resistant authenticators
{
'okta_verify',
'webauthn',
'smart_card_idp',
'yubikey_token'
}.contains(accessRequest.authenticator.key) &&
accessRequest.operation == 'enroll'
Troubleshooting
When you test the integration, if you’re not redirected to the IDV flow, review the following areas:
Review the user and group that you created. Ensure that you’ve set the correct group ID when you create the Okta account management policy rule.
Review the Okta account management policy rule. Ensure that you’ve added the correct Okta Expression Language expression and that the
verificationMethodtype is set toID_PROOFING.Ensure that your user has the authenticators that they're allowed to enroll.